@neuro4live

Как в 1с Предприятие установить расширение?

Здравствуйте. Мне необходимо сделать интеграцию с 1с Предприятие 8.3 конфигцрация БИТ.Экспедирование (фирма первый бит). Для реализации интеграции решил использовать bromapi.
На стандартную конфигурацию 1с (Управление торговлей), расширения ставятся без проблем. На данной конфигурации если в режиме конфигуратора войти в Конфигурация-Расширения конфигурации получаю сообщение об ошибке

61d1c63fb4ab4098364869.jpeg

Пробовал отключить режим совместимости

61d1c673d7553200337149.jpeg

Все равно появляется окно с ошибкой. Пожалуйста подскажите как победить данную проблему. Заранее спасибо!
  • Вопрос задан
  • 45 просмотров
Пригласить эксперта
Ответы на вопрос 4
@WaterSmith
Android-разработчик. Java, Kotlin
Режим совместимости интерфейса тоже нужно отключить.
Затем вы получите ошибку, в связи с тем, что в конфигурации куча интерфейсов на обычных формах и полно кода, не работающего без режима совместимости. Переписать это всё на современный лад, это не тривиальная задача. Поэтому, с этой конфигурацией никак.
Ответ написан
Комментировать
fosihas
@fosihas
Автоматизации учета на 1С.
Так написано "Режим совместимости" а в одном из них у вас стоит 8.2, а расширение только с 8.3.
Меняйте на "Такси".

Если у конфы Обычные формы, то работу с формами перенести в расширение не получится.
Ответ написан
Комментировать
alexgp13
@alexgp13
Руководитель ИТ-проектов
Могу ошибаться, но вроде бы обычно расширение включает в себя часть информации об объектах конфигурации. Соответственно не получится поставить расширение на не подходящую конфигурацию.
Ответ написан
@LollyFox
Расширение разрабатывается под конкретную конфигурацию, т.е. расширение, которое было разработано для "Управление торговлей" (УТ) и не должно устанавливаться на другую конфигурацию, например "Бухгалтерия предприятия" (БП) + если расширение установлено ещё не значит, что оно будет работать как нужно + даже уже ранее установленное и рабочее расширение может перестать работать после обновления типовой конфигурации, т.к. разработчики решили переименовать/изменить объекты конфигурации, с которыми работает данное расширение + также расширение может перестать работать после обновления платформы, т.к. в расширении используются методы и конструкции встроенного языка 1С:Предприятие, а он тоже развивается + у любого расширения есть минимальные требования к версии установленной платформы и режиму совместимости конфигурации + Расширение, которое было написано для локальной версии вовсе не факт, что будет работать в клиент-серверном режиме и т. д.
Я что хочу сказать: "Расширение" - это вовсе не универсальное решение, которое можно установить в любую конфигурацию. Судя по скринам, Расширение не будет у вас работать, даже если вы разберётесь с ошибкой режима совместимости, т.к. это только видимая вам вершина айсберга.
Уточняйте у разработчиков, для какой именно конфигурации, какой редакции и каких релизов данное Расширение предназначено + требуемый режим совместимости конфигурации + минимальную версию платформы + режим использования (на 100% уверена, что ваша конфигурация данным требованиям не отвечает).
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы